it.csi.mddtools.guigen

## Interface CustomTemplate

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface CustomTemplate
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Custom Template'. Un template custom da utilizzarsi per la generazione full del codice a fronte di un ExecCommand.

  The following features are supported:

  - `Tpl ID`
  - `Name`
  - `Model Slots`
  See Also:
    `GuigenPackage.getCustomTemplate()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ModelSlotDef>` | `getModelSlots()` Returns the value of the 'Model Slots' containment reference list.
    `java.lang.String` | `getName()` Returns the value of the 'Name' attribute
    `java.lang.String` | `getTplID()` Returns the value of the 'Tpl ID' attribute
    `void` | `setName(java.lang.String value)` Sets the value of the '`Name`' attribute
    `void` | `setTplID(java.lang.String value)` Sets the value of the '`Tpl ID`' attribute

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getTplID

          java.lang.String getTplID()

      Returns the value of the 'Tpl ID' attribute.

      If the meaning of the 'Tpl ID' attribute isn't clear, there really should be more of a description here...

      ID mnemonico del template. Il valore di questo attributo sarà a disposizione del codiuce che implementa il template XPand, e dovrà essere utilizzato per instradare la logica di generazione verso il template corretto.
      Returns:
        the value of the 'Tpl ID' attribute.
      See Also:
        `setTplID(String)`, `GuigenPackage.getCustomTemplate_TplID()`

    - #### setTplID

          void setTplID(java.lang.String value)

      Sets the value of the '`Tpl ID`' attribute.
      Parameters:
        `value` - the new value of the 'Tpl ID' attribute.
      See Also:
        `getTplID()`

    - #### getName

          java.lang.String getName()

      Returns the value of the 'Name' attribute.

      If the meaning of the 'Name' attribute isn't clear, there really should be more of a description here...

      nome del template
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `setName(String)`, `GuigenPackage.getCustomTemplate_Name()`

    - #### setName

          void setName(java.lang.String value)

      Sets the value of the '`Name`' attribute.
      Parameters:
        `value` - the new value of the 'Name' attribute.
      See Also:
        `getName()`

    - #### getModelSlots

          org.eclipse.emf.common.util.EList<ModelSlotDef> getModelSlots()

      Returns the value of the 'Model Slots' containment reference list. The list contents are of type `ModelSlotDef`.

      If the meaning of the 'Model Slots' containment reference list isn't clear, there really should be more of a description here...

      Dichiarazione degli slot (opzionali) destinati a contenere eventuali modelli ausiliarii.
      Returns:
        the value of the 'Model Slots' containment reference list.
      See Also:
        `GuigenPackage.getCustomTemplate_ModelSlots()`